package com.sunzee.model.domain;

/**
 *
 */
public class GetAdBean {

    /**
     * adType : 视频
     * createDate : 1555904218000
     * locationType : 棉花糖宣传广告
     * name : 啊啊啊
     * order : 1
     * url : http://app.sunzee.com.cn:80/upload/video/ce4b816e-935a-4dd8-bbec-6b83e06c3c64.mp4
     */

    private String adType;
    private long createDate;
    private String locationType;
    private String name;
    private int order;
    private String url;
    private String id;
    private int duration;
    private String mediaPreview;
    //广告位置的 a b
    private int screenType;

    public String getAdType() {
        return adType;
    }

    public void setAdType(String adType) {
        this.adType = adType;
    }

    public long getCreateDate() {
        return createDate;
    }

    public void setCreateDate(long createDate) {
        this.createDate = createDate;
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getOrder() {
        return order;
    }

    public void setOrder(int order) {
        this.order = order;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public String getMediaPreview() {
        return mediaPreview;
    }

    public void setMediaPreview(String mediaPreview) {
        this.mediaPreview = mediaPreview;
    }

    public int getScreenType() {
        return screenType;
    }

    public void setScreenType(int screenType) {
        this.screenType = screenType;
    }

    @Override
    public String toString() {
        return "GetAdBean{" +
                "adType='" + adType + '\'' +
                ", createDate=" + createDate +
                ", locationType='" + locationType + '\'' +
                ", name='" + name + '\'' +
                ", order=" + order +
                ", url='" + url + '\'' +
                ", id='" + id + '\'' +
                ", duration=" + duration +
                ", mediaPreview='" + mediaPreview + '\'' +
                ", screenType=" + screenType +
                '}';
    }
}
